Draft Array/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Per matrici ortogonali: * {{ProprietaDati|Interval X}}: L'intervallo tra ciascuna copia sul primo asse * {{ProprietaDati|Interval Y}}: L'intervallo tra ciascuna copia sul sec...")
(Created page with "Per matrici polari: * {{ProprietaDati|Axis}}: La direzione normale al cerchio della matrice * {{ProprietaDati|Center}}: Il punto centro della matrice * {{ProprietaDati|Angle}...")
Line 27: Line 27:
* {{ProprietaDati|Number Z}}: Il numero di copie sul terzo asse
* {{ProprietaDati|Number Z}}: Il numero di copie sul terzo asse


Per matrici polari:
For polar arrays:

* {{PropertyData|Axis}}: The normal direction of the array circle
* {{ProprietaDati|Axis}}: La direzione normale al cerchio della matrice
* {{PropertyData|Center}}: The center point of the array
* {{PropertyData|Angle}}: The angle to cover with copies
* {{ProprietaDati|Center}}: Il punto centro della matrice
* {{ProprietaDati|Angle}}: L'angolo da coprire con le copie
* {{PropertyData|Number Polar}}: The number of copies
* {{ProprietaDati|Number Polar}}: Il numero di copie


==Scripting==
==Scripting==

Revision as of 16:08, 16 February 2014

Matrice

Posizione nel menu
Draft → Matrice
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati. Se non è selezionato nessun oggetto, lo strumento chiede di selezionarne uno.

Utilizzo

  1. Selezionare gli oggetti con si desidera creare una schiera, che si desidera duplicare secondo un certo ordine
  2. Premere il pulsante Template:KEY/it

Opzioni

  • La matrice ha come impostazione iniziale predefinita quella ortogonale, è possibile modificare questa modalità nelle sue proprietà.

Proprietà

  • DatiArray Type: Specifica il tipo di matrice: ortho o polar

Per matrici ortogonali:

  • DatiInterval X: L'intervallo tra ciascuna copia sul primo asse
  • DatiInterval Y: L'intervallo tra ciascuna copia sul secondo asse
  • DatiInterval Z: L'intervallo tra ciascuna copia sul terzo asse
  • DatiNumber X: Il numero di copie sul primo asse
  • DatiNumber Y: Il numero di copie sul secondo asse
  • DatiNumber Z: Il numero di copie sul terzo asse

Per matrici polari:

  • DatiAxis: La direzione normale al cerchio della matrice
  • DatiCenter: Il punto centro della matrice
  • DatiAngle: L'angolo da coprire con le copie
  • DatiNumber Polar: Il numero di copie

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions.

For rectangular array:

 array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

For polar array:

 array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Or

For rectangular array:

 makeArray (object,xvector,yvector,xnum,ynum)

For polar array:

 makeArray (object,center,totalangle,totalnum)
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Example:

 import FreeCAD,Draft
 Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)